#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libunistring
Version		:	1.0
Release		:	14.4.0.0%{?dist}
Summary		:	GNU Unicode string library
Group		:	Applications/Archiving

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://ftp.gnu.org/gnu/libunistring

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
This portable C library implements Unicode string types in three
flavours: (UTF-8, UTF-16, UTF-32), together with functions for
character processing (names, classifications, properties) and functions
for string processing (iteration, formatted output, width, word breaks,
line breaks, normalization, case folding and regular expressions).

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static 				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#removing empty directory
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/uni*.h
%{_includedir}/unistring/*.h
%{_libdir}/%{name}.so*
%{_defaultdocdir}/%{name}-%{version}/%{name}_*.html
%{_infodir}/%{name}.info.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
